Name:    noip
Version: 2.1.9
Release: 8%{?dist}
License: GPLv2
Summary: A Linux client for the no-ip.com dynamic DNS service
Group:   Applications/Internet
URL:     http://www.no-ip.com
Source0: http://www.no-ip.com/downloads.php/%{name}-duc-linux.tar.gz
Patch1:  noip-2.1.9-conf.patch
Patch2:  noip-2.1.9-status.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(post):  /sbin/service
Requires(preun): /sbin/service

%description
A second-generation Linux client for the no-ip.com dynamic DNS service.
When configured correctly, the client will probe your IP address at a
given time interval to check whether your IP has changed. If so,
it will notify No-IP DNS servers and update the IP corresponding
to your No-IP/No-IP+ hostname.

NOTE: You must add hostnames on the website (http://www.no-ip.com),
before you can have the updater update them.
Please, also run "%{_bindir}/noip2 -C" as root for configuring your account. 

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .conf
%patch2 -p1 -b .status

for i in ./README.*?* LISEZMOI.* LEEME.*; do
        iconv -f iso-8859-1 -t utf-8 < "$i" > "${i}_"
        touch -r "$i" "${i}_"
        mv "${i}_" "$i"
done

sed -i 's/\r//' README.FIRST-SWE

%build
make %{_smp_mflags} PREFIX=%{_prefix}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_initrddir}
make BINDIR=%{buildroot}%{_bindir} CONFDIR=%{buildroot}%{_sysconfdir} install
install -m 755 %{_builddir}/%{name}-%{version}/redhat.noip.sh \
               %{buildroot}%{_initrddir}/noip
pushd %{buildroot}%{_bindir}
ln -s noip2 noip
popd

%clean
rm -rf %{buildroot}

%post
# TODO: fix account configuration
# %{_bindir}/noip2 -C 

/sbin/chkconfig --add noip
/sbin/service noip condrestart > /dev/null 2>&1 || :

%preun
if [ $1 = 0 ]; then
 /sbin/service noip stop > /dev/null 2>&1 || :
 /sbin/chkconfig --del noip
fi

%files
%defattr (-,root,root,-)
%doc README.* COPYING LEEME.PRIMERO LISEZMOI.ENPREMIER
%{_bindir}/noip*
%{_initrddir}/noip

%changelog

* Sat Feb 12 2011 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 2.1.9-8
- Changed default permissions.

* Thu May 21 2009 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 2.1.9-7
- No need to disable debug package anymore.
- Touching files in the utf8 conversion.

* Sat Nov 29 2008 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 2.1.9-6
- Replaced initd patch for conf patch.
- Disabled debug package because F10 is using --strict-build-id
  by default. Stripping noip2 because of that.

* Mon Nov 24 2008 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 2.1.9-5
- Updated to 2.1.9
- Security Advisory - 2008-11-22
- Service default disabled.

* Fri Jun 13 2008 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 2.1.7-4
- Created a condrestart, reload and status entry in /etc/rc.d/init.d/noip
- Using subsys in /etc/rc.d/init.d/noip
- Changed Buildroot and description.
- Created symbolic link noip.

* Mon Nov 19 2007 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 2.1.7-3
- Updated to 2.1.7
- Converted doc to utf8 and changed permission to 644

* Thu Apr 12 2007 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 2.1.4-2
- Updated to 2.1.4
- Rebuilt for Fedora 6.
- Configuring in the post install section, and no more during install.

* Tue Jan 31 2006 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 2.1.1-2
- Updated to version 2.1.1.

* Tue Jun 13 2004 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 2.1.1-1
- Initial spec file.

